Subject: Re: Converting merge to rebase in the presence of conflicts

From: Johannes Sixt <[email-masked]>
Date: Tue, 12 Apr 2011 08:11:09 +0200

Please don't cull Cc list; use "Reply to all" in your MUA.

Am 4/11/2011 17:15, schrieb Hrvoje Nikšić:
> I still wonder why rerere is necessary here. After all, even without
> the rerere metadata, the information about conflict resolution is
> right there, in the merge commit, and rebase could conceivably make
> use of it. What am I missing?

The conflicts that you see during a merge may be attributed to several
different commits of the merged branch. Therefore, when you rebase the
branch, you will see different subsets of the conflicts for each rebased
commit, and it is possible that you see conflicts that you did not see in
the merge. How can you expect rebase to "know" how to resolve them?

-- Hannes